| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::rapid::Tracker Class Referenceabstract
silhouette based 3D object tracking

Abstract base class for stateful silhouette trackers. More...

`#include <opencv2/rapid.hpp>`

Collaboration diagram for cv::rapid::Tracker:

## Public Member Functions
virtual | ~Tracker ()
virtual void | clearState ()=0
virtual float | compute (InputArray img, int num, int len, InputArray K, InputOutputArray rvec, InputOutputArray tvec, const TermCriteria &termcrit=TermCriteria(TermCriteria::MAX_ITER|TermCriteria::EPS, 5, 1.5))=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Abstract base class for stateful silhouette trackers.

## Constructor & Destructor Documentation

## ◆ ~Tracker()

virtual cv::rapid::Tracker::~Tracker | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clearState()

virtual void cv::rapid::Tracker::clearState | ( |  | ) |
| pure virtual

Python:
| cv.rapid.Tracker.clearState( |  | ) -> | None

## ◆ compute()

virtual float cv::rapid::Tracker::compute | ( | InputArray | img,
|  | int | num,
|  | int | len,
|  | InputArray | K,
|  | InputOutputArray | rvec,
|  | InputOutputArray | tvec,
|  | const TermCriteria & | termcrit = TermCriteria(TermCriteria::MAX_ITER|TermCriteria::EPS, 5, 1.5) )
| pure virtual

Python:
| cv.rapid.Tracker.compute( | img, num, len, K, rvec, tvec[, termcrit] | ) -> | retval, rvec, tvec

The documentation for this class was generated from the following file:

- opencv2/rapid.hpp